import { DynamicModule } from '@nestjs/common';
import { ModuleRef } from '@nestjs/core';
import { MongooseModuleOptions } from './interfaces';
export declare class MongooseCoreModule {
    private readonly connectionName;
    private readonly moduleRef;
    constructor(connectionName: string, moduleRef: ModuleRef);
    static forRoot(uri: string, options?: MongooseModuleOptions): DynamicModule;
    onModuleDestroy(): Promise<void>;
}
